3.4f portato ? Nothing after root password .

Anything that pertains to Portage

Moderator: Moderators

3.4f portato ? Nothing after root password .

Postby WarraWarra » Mon Sep 10, 2007 3:52

I see gtk in any form is -gtk* in /etc/make.conf will this stop portato from working ?
I reinstalled portato + system updated and still not working.

Code: Select all
localhost ~ # emerge portato -p

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] x11-libs/vte-0.16.8  USE="opengl python -debug -doc"
[ebuild     U ] app-portage/portato-0.8.5 [0.8.0-r1] USE="libnotify%* nls%*"
localhost ~ #


Both opengl and python is in make.conf and installed to latest version but still ends up red in above ?

# emerge portato
then installs vte and this error happens during vte processing before and after python updating.

Code: Select all
>>> Source compiled.
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-x11-libs_-_vte-0.16.8-3090.log"

unlink:    /usr/share/pygtk/2.0/codegen/argtypes.pyc
unlink:    /usr/share/pygtk/2.0/codegen/definitions.pyc
unlink:    /usr/share/pygtk/2.0/codegen/defsparser.pyc
unlink:    /usr/share/pygtk/2.0/codegen/scmexpr.pyc
unlink:    /usr/share/pygtk/2.0/codegen/override.pyc
unlink:    /usr/share/pygtk/2.0/codegen/reversewrapper.pyc
--------------------------------------------------------------------------------
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: 3.4f portato ? Nothing after root password .

Postby Necoro » Mon Sep 10, 2007 5:47

Ok ... the vte access violation: Gentoo bug #126799 - do a python-updater -i If you did this and it still does not work: revdep-rebuild -X :)

The gtk Flag does not have any influence on portato =) - but you need vte to be on your system :)
User avatar
Necoro
Advanced Hen
 
Posts: 242
Joined: Mon Apr 23, 2007 22:47
Location: Munich (Germany)

Re: 3.4f portato ? Nothing after root password .

Postby WarraWarra » Mon Sep 10, 2007 6:56

Cool thanks trying it now.
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: 3.4f portato ? Nothing after root password .

Postby pajamabama » Thu Sep 20, 2007 14:31

So does anyone know why python-updater would be failing because kdelibs needs hspell?
Code: Select all
Calculating dependencies /
!!! All ebuilds that could satisfy ">=app-text/hspell-1.0" have been masked.
...
(dependency required by "kde-base/kdelibs-3.5.7-r10" [installed])

This is confusing for a number of reasons. One, kdelibs is already installed at the latest version. Two, nowhere do I indicate that I need hebrew dictionaries. Three, the ebuild for kdelibs explicitly lists LINUGUAS="-he". Four, actually running emerge -p kdelibs doesn't say anything about needing hspell.

Any thoughts?
HP dv6000t
SabayonLinux 5.5 - x86_64

www.pedorro.com
pajamabama
Growing Hen
 
Posts: 161
Joined: Sun Jan 07, 2007 22:05
Location: In another time's forgotten space.

Re: 3.4f portato ? Nothing after root password .

Postby xt600 » Tue Sep 25, 2007 15:19

pajamabama wrote:So does anyone know why python-updater would be failing because kdelibs needs hspell?
Code: Select all
Calculating dependencies /
!!! All ebuilds that could satisfy ">=app-text/hspell-1.0" have been masked.
...
(dependency required by "kde-base/kdelibs-3.5.7-r10" [installed])

This is confusing for a number of reasons. One, kdelibs is already installed at the latest version. Two, nowhere do I indicate that I need hebrew dictionaries. Three, the ebuild for kdelibs explicitly lists LINUGUAS="-he". Four, actually running emerge -p kdelibs doesn't say anything about needing hspell.

Any thoughts?


Portato works fine under the Mini 3.4. It does not work for me under 3.4f DVD edition either! I am trying to update to Python 2.5 now. (Did not work, says all files masked) Now trying a revdep-rebuild. If that does not work, Kuroo works fine under 3.4f! It is nice to look at what progs. are available.
xt600
Simple Hen
 
Posts: 94
Joined: Thu Sep 20, 2007 23:08
Location: Southern Brazil

Re: 3.4f portato ? Nothing after root password .

Postby wolfden » Tue Sep 25, 2007 15:25

unmask hspell or rebuild kdelibs without hspell

http://gentoo-wiki.com/Masked
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: 3.4f portato ? Nothing after root password .

Postby xt600 » Tue Sep 25, 2007 16:29

Whay does Sabayon choose Portato over Kuroo? ..anyway thanks for the info. I will unmask hspell and go from there.
xt600
Simple Hen
 
Posts: 94
Joined: Thu Sep 20, 2007 23:08
Location: Southern Brazil

Re: 3.4f portato ? Nothing after root password .

Postby xt600 » Tue Sep 25, 2007 16:59

While running emerge -av vte. I ran into this problem. can someone tell me what it means?

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-x11-libs_-_vte-0.16.9-7352.log"

unlink: /usr/share/pygtk/2.0/codegen/argtypes.pyc
open_wr: /usr/share/pygtk/2.0/codegen/argtypes.pyc
unlink: /usr/share/pygtk/2.0/codegen/definitions.pyc
open_wr: /usr/share/pygtk/2.0/codegen/definitions.pyc
unlink: /usr/share/pygtk/2.0/codegen/defsparser.pyc
open_wr: /usr/share/pygtk/2.0/codegen/defsparser.pyc
unlink: /usr/share/pygtk/2.0/codegen/scmexpr.pyc
open_wr: /usr/share/pygtk/2.0/codegen/scmexpr.pyc
unlink: /usr/share/pygtk/2.0/codegen/override.pyc
open_wr: /usr/share/pygtk/2.0/codegen/override.pyc
unlink: /usr/share/pygtk/2.0/codegen/reversewrapper.pyc
open_wr: /usr/share/pygtk/2.0/codegen/reversewrapper.pyc
--------------------------------------------------------------------------------

Thanks!
xt600
Simple Hen
 
Posts: 94
Joined: Thu Sep 20, 2007 23:08
Location: Southern Brazil

Re: 3.4f portato ? Nothing after root password .

Postby Necoro » Tue Sep 25, 2007 17:04

The kdelibs issue is due to an unmaintained sabayon overlay ... it is not a portato thing

Your vte issue: you have to run python-updater -i before to update your python packages...
User avatar
Necoro
Advanced Hen
 
Posts: 242
Joined: Mon Apr 23, 2007 22:47
Location: Munich (Germany)

Re: 3.4f portato ? Nothing after root password .

Postby xt600 » Tue Sep 25, 2007 20:41

Necoro wrote:The kdelibs issue is due to an unmaintained sabayon overlay ... it is not a portato thing

Your vte issue: you have to run python-updater -i before to update your python packages...



I have done python update, python 2.5 upgrade, VTE install, GTK+ upgrade, Portato upgrade, some unmasking and all i get is
# portato 'gtk' should be installed, but cannot be imported. This is definitly a bug. (No module named gtk)

Seems to be some sort of bug between Portato and GTK? Everything else so far seems to work fine.
xt600
Simple Hen
 
Posts: 94
Joined: Thu Sep 20, 2007 23:08
Location: Southern Brazil

Next

Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest